//
//  FAQAdErrorEvent.swift
//  Pods
//
//  Created by Jin on 10/23/24.
//
import Foundation

// 广告错误事件
class FAQAdErrorEvent: FAQAdEvent {
    // 错误码
    var errCode: NSNumber
    
    // 错误信息
    var errMsg: String

    // 构造广告错误事件
    init(adId: String, errCode: NSNumber, errMsg: String) {
        self.errCode = errCode
        self.errMsg = errMsg
        super.init(adId: adId, action: "onAdError") // 假设 onAdError 是一个字符串
    }

    // 转换为字典
    override func toMap() -> [String: Any] {
        var errData = super.toMap() // 获取父类字典
        errData["errCode"] = errCode // 添加错误代码
        errData["errMsg"] = errMsg // 添加错误信息
        return errData // 返回完整的字典
    }
}

