//
//  FAQAdRewardEvent.swift
//  Pods
//
//  Created by Jin on 10/23/24.
//

import Foundation

// 广告激励事件
class FAQAdRewardEvent: FAQAdEvent {
    // 服务端验证唯一id
    var transId: String
    // 服务端验证的自定义信息
    var customData: String
    // 服务端验证的用户信息
    var userId: String

    // 构造广告激励事件
    init(adId: String, transId: String, customData: String, userId: String) {
        self.transId = transId
        self.customData = customData
        self.userId = userId
        super.init(adId: adId, action: onAdReward) // 假设 onAdReward 是一个常量
    }

    // 转换为字典
    override func toMap() -> [String: Any] {
        var errData = super.toMap() // 获取父类字典
        errData["transId"] = transId // 添加 transId
        errData["customData"] = customData // 添加 customData
        errData["userId"] = userId // 添加 userId
        return errData // 返回完整的字典
    }
}

